Bug 1281485 - fix distro-sync and downgrades for installonly packages
fix distro-sync and downgrades for installonly packages
Status: CLOSED DUPLICATE of bug 1191611
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
23
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 10:59 EST by Daniel Mach
Modified: 2016-11-25 05:14 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 05:14:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2015-11-12 10:59:33 EST
I installed 3 kernels from rawhide (f24).
Then I decided to install a kernel (downgrade) from f23.

dnf <install|distro-sync|downgrade> with any combination of --allowerasing and --best options did not work.
Dnf was complaining about "conflicting requests".

Workaround was to increase number of installonly packages by setting --setopt='installonly_limit=4'

Dnf should ideally do following:
 * keep running kernel
 * install kernel specified by user
 * include latest kernel(s) if any
Comment 1 Honza Silhan 2015-11-18 08:54:16 EST
Thanks for the report. we should refactor the selection of kernels over limit to remove. It should erase the lowest kernels which are not running which are not to be installed in the transaction.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:24:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 08:21:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Michael Mráka 2016-11-25 05:14:36 EST

*** This bug has been marked as a duplicate of bug 1191611 ***

Note You need to log in before you can comment on or make changes to this bug.